ST_3DExtent
Prev | 8.17. Bounding Box Functions | Next

## Name

ST_3DExtent — Aggregate function that returns the 3D bounding box of geometries.

## Synopsis

`box3d ST_3DExtent(`geometry set geomfield`)`;

## Description

An aggregate function that returns a box3d (includes Z ordinate) bounding box that bounds a set of geometries.

The bounding box coordinates are in the spatial reference system of the input geometries.

The returned `box3d` value does not include a SRID. Use ST_SetSRID to convert it into a geometry with SRID metadata. The SRID is the same as the input geometries.

Enhanced: 2.0.0 support for Polyhedral surfaces, Triangles and TIN was introduced.

Changed: 2.0.0 In prior versions this used to be called ST_Extent3D

This function supports 3d and will not drop the z-index.

This method supports Circular Strings and Curves

This function supports Polyhedral surfaces.

This function supports Triangles and Triangulated Irregular Network Surfaces (TIN).

## Examples

    SELECT ST_3DExtent(foo.geom) As b3extent
    FROM (SELECT ST_MakePoint(x,y,z) As geom
    	FROM generate_series(1,3) As x
    		CROSS JOIN generate_series(1,2) As y
    		CROSS JOIN generate_series(0,2) As Z) As foo;
    	  b3extent
    --------------------
     BOX3D(1 1 0,3 2 2)

    --Get the extent of various elevated circular strings
    SELECT ST_3DExtent(foo.geom) As b3extent
    FROM (SELECT ST_Translate(ST_Force_3DZ(ST_LineToCurve(ST_Buffer(ST_Point(x,y),1))),0,0,z) As geom
    	FROM generate_series(1,3) As x
    		CROSS JOIN generate_series(1,2) As y
    		CROSS JOIN generate_series(0,2) As Z) As foo;

    	b3extent
    --------------------
     BOX3D(1 0 0,4 2 2)

## See Also

ST_Extent, ST_Force3DZ, ST_SetSRID

Prev | Up | Next
ST_Extent | Home | ST_MakeBox2D